Bug 463791 - Review Request: compat-db45 - The Berkeley DB database compatibility library
Review Request: compat-db45 - The Berkeley DB database compatibility library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459710
  Show dependency treegraph
 
Reported: 2008-09-24 14:35 EDT by Jindrich Novy
Modified: 2013-07-02 19:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 09:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2008-09-24 14:35:24 EDT
Spec URL: http://people.redhat.com/jnovy/files/compat-db/compat-db45.spec
SRPM URL: http://people.redhat.com/jnovy/files/compat-db/compat-db45-4.5.20-0.1.fc10.src.rpm
Description:
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This package contains Berkeley DB version library 4.5.20 for
applications which need it for backward compatibility.

This bug is related to #459710. The split of compat-db is planned to reduce
size of total packages pulled in as dependencies to fit liveCD. Currently
compat-db contains three versions of BDB which is wasteful.
Comment 1 Jason Tibbitts 2008-10-03 14:25:32 EDT
A couple of issues/questions:

I don't see the point in the obsoletes of ancient db versions being in this compat package.  Honestly I don't see the point of them being in the base db package (since we don't support upgrades from any release which would have them and there is probably never been a Fedora release that had them) but that's a different review ticket.  I have no idea what yum would do with an unversioned non-provided obsolete that appears in more than one package, but it's probably not something we want to worry about.

I can't actually install these packages since they conflict with the existing compat-db package which is a rather essential system component.  I'm not sure how I could actually do that without composing a new OS tree so I'm just not going to worry about it.

What's the point of the -devel package?  I was under the impression that we didn't want -devel packages for compat libraries, and the existing compat-db package doesn't have one.

What happens to the /usr/bin/db45* executables and /usr/bin/berkeley_db45_svc?

After this split, what becomes of the db 4.3 stuff?
Comment 2 Jindrich Novy 2008-10-22 09:02:28 EDT
Jason, let's go on in the discussion in the main bug. This review is now useless for the reasons noted in comment #6 in #459710.

Note You need to log in before you can comment on or make changes to this bug.